%define name stellarium
%define version 0.8.1
%define release %mkrel 2
%define title Stellarium

Name: %{name} 
Summary: Stellarium is a desktop planetarium 
Version: %{version} 
Release: %{release} 
Source: http://stellarium.sourceforge.net/download/%{name}-%{version}.tar.bz2
Source10: %{name}.16.png.bz2
Source11: %{name}.32.png.bz2
Source12: %{name}.48.png.bz2
#Patch0:   stellarium-0.8.0-gcc41.patch.bz2		
URL: http://stellarium.sourceforge.net/
Group: Sciences/Astronomy
#Buildrequires: libxorg-x11-devel 
Buildrequires: mesaglu-devel 
Buildrequires: SDL-devel
Buildrequires: SDL_mixer-devel
Buildrequires: png-devel
BuildRoot: %{_tmppath}/%{name}-buildroot 
License: GPL 

%description
Stellarium renders 3D photo-realistic skies in real time. 
With stellarium, you really see what you can see with your eyes,
binoculars or a small telescope.


%prep 
%setup -q
#%patch0 

%build 
%configure 
%make


%install
rm -rf $RPM_BUILD_ROOT 
%makeinstall

# Icons
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" icon="stellarium.png" needs="X11" \
section="Applications/Sciences/Astronomy" title="Stellarium" longtitle="3D Planetarium" xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{longtitle}
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Science;Astronomy;X-MandrivaLinux-MoreApplications-Sciences-Astronomy;
EOF

%find_lang %{name}

%clean 
rm -rf $RPM_BUILD_ROOT 


%files -f %{name}.lang
%defattr(-,root,root,0755) 
%doc README COPYING AUTHORS 
%{_bindir}/%{name} 
%{_datadir}/%{name}/
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}
%_mandir/man1/*

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Sat Aug 05 2006 Emmanuel Andry <eandry@mandriva.org> 0.8.1-2mdv2007.1
- drop buildrequires libxorg-x11-devel (fix x86_64 build) not needed
- add buildrequires SDL_mixer-devel
- optimize localization

* Sat Jul 22 2006 Emmanuel Andry <eandry@mandriva.org> 0.8.1-1mdv2007.1
- 0.8.1
- drop patch0 (applied upstream)
- fix buildrequires

* Tue Jun 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.0-3mdv2007.1
- Fix Menu ( ticket # 23216)

* Sat Jun 17 2006 Emmanuel Andry <eandry@mandriva.org> 0.8.0-2mdv2007.0
- fix buildrequires
- xdg compliant
- added patch from sourceforge to fix gcc4.1 compilation

* Thu May 04 2006 Lenny Cartier <lenny@mandriva.com> 0.8.0-1mdk
- 0.8.0

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.1-2mdk
- Fix BuildRequires

* Mon Sep 19 2005 Emmanuel Andry <eandry@free.fr> 0.7.1-1mdk
- 0.7.1

* Sat Sep 10 2005 Emmanuel Andry <eandry@free.fr> 0.7.0-1mdk
- Updated source and URL
- 0.7.0

* Tue Apr 07 2005 Emmanuel Andry <eandry@free.fr> 0.6.2-1mdk
- 0.6.2

* Tue Oct 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Sun Jul 18 2004 Michael Scherer <misc@mandrake.org> 0.6.0-2mdk 
- rebuild for new gcc ( patch 0 )

* Wed Jun 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0

* Wed Jan 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2

* Wed Jul 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-3mdk
- buildrequires from Michael Scherer

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com 0.5.1-2mdk
- buildrequires

* Mon Apr 14 2003  Lenny Cartier <lenny@mandrakesoft.com 0.5.1-1mdk
- 0.5.1

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 0.4.9-3mdk
- rebuild

* Mon Nov 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.9-2mdk
- from Daniel Gruen <daniel_gruen@web.de> :
- added meny entry

* Sun Oct 29 2002 Daniel Gruen <daniel_gruen@web.de> 0.4.9-1mdk
- Initial MDK RPM
